Bug 1367512 - Alternate Characters do not print in Dvorak variant
Summary: Alternate Characters do not print in Dvorak variant
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 15:18 UTC by deshmukh.sandip
Modified: 2017-08-24 06:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:34:24 UTC


Attachments (Terms of Use)

Description deshmukh.sandip 2016-08-16 15:18:25 UTC
Description of problem:

Running Fedora24 Workstation. I use English US and English Dvorak keyboard variants.

In Gnome Tweak Tool -> Typing -> Adding currency signs to certain keys -> Rupee on 4 is selected.

In Settings -> Keyboard -> Typing, I have tried different options available for Alternative Characters Key.

They work when I select English US as a keyboard. But do not when I select English Dvorak variant.


Version-Release number of selected component (if applicable):


How reproducible:
Always reproducible.

Steps to Reproduce:
1. Select Gnome Tweak Tool -> Typing -> Adding currency signs to certain keys -> Rupee on 4
2. In Settings -> Keyboard -> Typing -> Alternative Characters Key, select any suitable option
3. Make sure you have US English and US English Dvorak keyboard variants available.
4. Select US English keyboard. Try generating the Rupee symbol using Alternative Characters Key + 4
5. Select US English Dvorak keyboard. Try generating the Rupee symbol using Alternative Characters Key + 4

Actual results:
Nothing is printed or 4 is printed.

Expected results:
Rupee symbol should print.

Additional info:

Comment 1 Fedora End Of Life 2017-07-25 22:28:07 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 16:34:24 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 ompragash 2017-08-24 06:57:18 UTC
This bug is not reproduciable in fedora 25, so its recommended you to upgrade your system to fedora 25.


Note You need to log in before you can comment on or make changes to this bug.